FDFLUSH(1L)

NAME
fdflush - force floppy disk drive to detect disk change

SYNOPSIS
fdflush [device]

DESCRIPTION
Fdflush is a band-aid for a common PC hardware problem. Many PC floppy disk drives can't detect when the disk has been changed. The symptom of this problem is that when a disk is changed, the drive will continue to read buffered data from the previous disk rather than new data from the disk presently in the drive. Running fdflush makes the system believe the disk-change switch has been actuated, and the system discards the buffered blocks in response to this information. If you have one of these slightly-broken disk drives, you'll have to run fdflush every time you change a disk.

  OPTIONS

device
    The name of the floppy disk device, in the form /dev/fd1 . The default is /dev/fd0 .

BUGS
They're in your hardware. Try swapping in another floppy drive to see if this problem goes away.

FILES
/dev/fdN    floppy disk device.

AUTHOR
Bruce Perens Bruce@Pixar.com .